NDOJ/make_style.sh

30 lines
765 B
Bash
Raw Normal View History

2020-01-21 06:35:58 +00:00
#!/bin/bash
if ! [ -x "$(command -v sass)" ]; then
echo 'Error: sass is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v postcss)" ]; then
echo 'Error: postcss is not installed.' >&2
exit 1
fi
if ! [ -x "$(command -v autoprefixer)" ]; then
echo 'Error: autoprefixer is not installed.' >&2
exit 1
fi
FILES=(sass_processed/style.css sass_processed/content-description.css sass_processed/table.css sass_processed/ranks.css)
cd `dirname $0`
2020-03-16 07:56:55 +00:00
sass resources:sass_processed
2020-01-21 06:35:58 +00:00
echo
postcss "${FILES[@]}" --verbose --use autoprefixer -d resources
2022-12-18 09:31:31 +00:00
cp sass_processed/pagedown_widget.css resources/pagedown_widget.css
cp sass_processed/dmmd-preview.css resources/dmmd-preview.css
cp resources/pagedown_widget.css resources/pagedown/demo/browser/demo.css